# NELoginData

**negdkcc**

***

negdkcc / NELoginData

## Type Alias: NELoginData

> **NELoginData** = `object`

Defined in: [data/NELoginData.ts:7](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/data/NELoginData.ts#L7)

Login data for the player, including their profile and authentication token.\
This type is used during player login to authenticate the player and load their profile.

### Properties

#### authToken

> **authToken**: `string` | `null`

Defined in: [data/NELoginData.ts:16](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/data/NELoginData.ts#L16)

The authentication token for the player. Can be null if not authenticated.

***

#### profile

> **profile**: `NEGameProfile`

Defined in: [data/NELoginData.ts:11](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/data/NELoginData.ts#L11)

The player's game profile.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/cocos-creator/api-reference/ninetyeight-game-development-kit-cocos-creator/type-aliases/nelogindata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
